#!/usr/bin/env python

import shelve
import json

from flask import Flask
from flask import request
from flask import render_template
from flask import jsonify
app = Flask(__name__)

#x,y,z = (0,0,0)

@app.route('/')
def index():
    with shelve.open('cache', 'c') as db:
        return render_template('index.html', x=db.get("x",0),y=db.get("y",0),z=db.get("z",0))

@app.route('/sharpen')
def sharpen():
    with shelve.open('cache', 'c') as db:
        return render_template('sharpen.html', x=db.get("x",0),y=db.get("y",0),z=db.get("z",0))

@app.route('/get-pos-json')
def get_pos_json():
    with shelve.open('cache', 'c') as db:
        return jsonify({"x":db.get("x",0),"y":db.get("y",0),"z":db.get("z",0)})

@app.route('/update-angle', methods=['POST', 'GET'])
def update_angle():
    error = None
    x = request.args.get('x', '') or x
    y = request.args.get('y', '') or y
    z = request.args.get('z', '') or z

    with shelve.open('cache', 'c') as db:
        db["x"] = float(x)
        db["y"] = float(y)
        db["z"] = float(z)
    return "OK"

if __name__ == '__main__':
    app.run()